Summary:	Programs for backing up and restoring filesystems
Name:		dump
Version:	0.4b46
Release:	%mkrel 1
License:	BSD
Group:		Archiving/Backup
URL:		http://sourceforge.net/projects/dump/
Source: 	ftp://osdn.dl.sourceforge.net/pub/sourceforge/d/du/%{name}/%{name}-%{version}.tar.gz
Patch3:		dump-0.4b37-compile-fix.patch
Patch4:		dump_progname_mips.patch
Requires:	rmt = %{version}-%{release}
BuildRequires:	libblkid-devel
BuildRequires:	ncurses-devel
BuildRequires:	termcap-devel
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
BuildRequires:	openssl-devel >= 0.9.7a
BuildRequires:	e2fsprogs-devel
BuildRequires:	liblzo-devel

%description
The dump package contains both dump and restore.  Dump examines files in
a filesystem, determines which ones need to be backed up, and copies
those files to a specified disk, tape or other storage medium.  The
restore command performs the inverse function of dump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then be
layered on top of the full backup.  Single files and directory subtrees
may also be restored from full or partial backups.

%package -n	rmt
Summary:	Provides certain programs with access to remote tape devices
Group:		Archiving/Backup
Provides:	/sbin/rmt

%description -n	rmt
The rmt utility provides remote access to tape devices for programs
like dump (a filesystem backup program), restore (a program for
restoring files from a backup) and tar (an archiving program).

%prep
%setup -q
%patch3 -p1 -b .compfix
%patch4 -p1 -b .progname

rm -f compat/include/{lzoconf,minilzo}.h
rm -f compat/lib/minilzo.c

autoreconf -fi

%build
%configure2_5x \
	--with-manowner=root \
	--with-mangrp=root \
	--with-manmode=644 \
	--enable-ermt \
	--disable-kerberos \
	--disable-transselinux
	

%make OPT="$RPM_OPT_FLAGS -fPIC -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts"

%install
%make_install

for i in dump restore; do
  mv %{buildroot}%{_sbindir}/$i %{buildroot}%{_sbindir}/$i.ext3
  ln -s $i.ext3 %{buildroot}%{_sbindir}/$i.ext2
  ln -s $i.ext3 %{buildroot}%{_sbindir}/$i
done

pushd %{buildroot}
  mkdir .%{_sysconfdir}
  > .%{_sysconfdir}/dumpdates
  ln -s ..%{_sbindir}/rmt ./%{_sysconfdir}/rmt
popd

%files
%doc AUTHORS ChangeLog KNOWNBUGS NEWS README REPORTING-BUGS TODO MAINTAINERS dump.lsm
%license COPYING
%attr(0664,root,disk)	%config(noreplace) %{_sysconfdir}/dumpdates
#attr(6755,root,tty)	{_sbindir}/dump
%{_sbindir}/dump*
#attr(6755,root,tty)	{_sbindir}/restore
%{_sbindir}/restore*
%{_sbindir}/rdump
%{_sbindir}/rrestore
%{_mandir}/man8/dump.8*
%{_mandir}/man8/rdump.8*
%{_mandir}/man8/restore.8*
%{_mandir}/man8/rrestore.8*

%files -n rmt
%license COPYING
%{_sbindir}/ermt
%{_sbindir}/rmt
%{_sysconfdir}/rmt
%{_mandir}/man8/rmt.8*


%changelog
* Fri Nov 11 2016 luigiwalser <luigiwalser> 0.4b46-1.mga6
+ Revision: 1066480
- 0.4b46
- remove patches 5-8 (fixed upstream)

* Mon Aug 29 2016 ghibo <ghibo> 0.4b45-2.mga6
+ Revision: 1049418
- Merged Patches6,7 from Fedora to fix bug#19247.
- Merged Patch8 from Fedora (bug RH#1048548).

* Thu Aug 11 2016 luigiwalser <luigiwalser> 0.4b45-1.mga6
+ Revision: 1045556
- 0.4b45
- rediff patch4
- remove patches 0, 2, 5, 6 (fixed upstream)
- add patch to fix linking with libcrypto
- BR full liblzo now, not just minilzo

* Thu Feb 11 2016 umeabot <umeabot> 0.4b44-9.mga6
+ Revision: 953800
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 0.4b44-8.mga6
+ Revision: 867859
- rebuild for new gcc

* Wed Feb 25 2015 luigiwalser <luigiwalser> 0.4b44-7.mga5
+ Revision: 817006
- add patch from fedora to build against system minilzo

* Wed Oct 15 2014 umeabot <umeabot> 0.4b44-6.mga5
+ Revision: 749473
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4b44-5.mga5
+ Revision: 678879
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 oden <oden> 0.4b44-4.mga5
+ Revision: 671362
- bump the bundled lzo-1.08 code to lzo-2.08 (CVE-2014-4607)

* Fri Oct 18 2013 umeabot <umeabot> 0.4b44-3.mga4
+ Revision: 503945
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.4b44-2.mga3
+ Revision: 349173
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dams <dams>
    - clean specfile

* Fri Sep 07 2012 luigiwalser <luigiwalser> 0.4b44-1.mga3
+ Revision: 289597
- 0.4b44
- remove rh507948 patch (merged upstream)
- remove no longer needed selinux patch
- add build fix patch from fedora
- call autoreconf instead of autoconf to fix build
- minor spec cleanups

* Tue Jan 11 2011 blino <blino> 0.4b42-2.mga1
+ Revision: 6374
- imported package dump

